Bug Hunting Session
Bug 113824 - EDITING: Sheet is freezing after editing a shown comment and switching between sheets (until ESC pressed)
Summary: EDITING: Sheet is freezing after editing a shown comment and switching betwee...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 116956 (view as bug list)
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2017-11-14 12:30 UTC by Thomas Lendo
Modified: 2019-04-14 02:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-11-14 12:30:40 UTC
Comment and the whole sheet can't be edited anymore after switching to another sheet and back.

Steps to reproduce:
1. Open a new Calc spreadsheet.
2. Create a second sheet (Sheet2).
3. Insert a comment in a cell of the second sheet.
4. Type a character at will in this comment.
5. Leave the comment.
6. Go back to the cell with the comment and activate "Show Comment" in the context menu.
7. Double-click into the comment so that the cursor is blinking in it.
8. Stay in the comment and witch to Sheet1.
9. Go back to Sheet 2.

Actual result:
No cell and no comment can be edited in Sheet 2 anymore.

Expected result:
User should be able to further edit the comment where the cursor was before switching the sheet. User should also be able to edit the whole sheet. ;-)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Version: 5.1.6.2 (x64)
Build-ID: 07ac168c60a517dba0f0d7bc7540f5afa45f0909
CPU-Threads: 8; BS-Version: Windows 6.19; UI-Render: Standard

Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Comment 1 Timur 2017-11-14 16:41:31 UTC
Repro. Workaround: press ESC.
Comment 2 Andrew 2018-04-12 07:38:32 UTC
*** Bug 116956 has been marked as a duplicate of this bug. ***
Comment 3 QA Administrators 2019-04-14 02:49:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug